Name:           codespell
Version:        1.10.0
Release:        %mkrel 1
Summary:        Find and fix common misspellings in text files
Group:          Development/Tools
License:        GPLv2
URL:            https://github.com/lucasdemarchi/codespell
Source0:        https://github.com/lucasdemarchi/codespell/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         codespell-git-Fix-version.patch

BuildArch:      noarch
BuildRequires:  help2man
BuildRequires:  python3

%description
Finds and fixes common misspellings in text files. It is designed
primarily for checking misspelled words in source code, but it can be
used with other files as well.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

# Generate manpage
help2man ./build/scripts-%{python3_version}/%{name} --no-discard-stderr \
  --include %{name}.1.include --no-info --output %{name}.1
sed -i '/\.SS \"Usage/,+2d' %{name}.1

%install
%py3_install

# Install manpage
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{name}_lib/


%changelog
* Fri Mar 17 2017 akien <akien> 1.10.0-1.mga6
+ Revision: 1093388
- Version 1.10.0

* Fri Jan 27 2017 akien <akien> 1.9.2-1.mga6
+ Revision: 1083649
- imported package codespell

